[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarModes

Full set of modes

## Declaration

Source position: libtar.pp line 135

`type TTarModes = set of (`
`tmSetUid,` |  | File has SetUID bit set.
`tmSetGid,` |  | File has SetGID bit set
`tmSaveText` |  | Bit $200 is set
`);`

## Description

TTarModes denotes the full set of permission bits for the file in the field Mode field of the TTarDirRec record.

## See also

TTarDirRec |  | Tar Directory entry